Audit log
Every change made through the UI or the API.
2 endpoints
Audit log of a server
#GET/api/v1/servers/{id}/audit
Path parameters
idinteger> 0
Example
curl "https://panel.example.com/api/v1/servers/42/audit" \
-H "Authorization: Bearer $TRIXOS_TOKEN"Audit log
#GET/api/v1/audit
Admin only
Filters: userId, targetType, targetId, source, action, from, to, limit.
Query parameters
userIdintegertargetTypestringmax. 32 charstargetIdstringmax. 64 charssourcestringone ofweb,api,compat,system,internalactionstringmax. 64 charssearchstringmax. 100 charsfromstringdate-timetostringdate-timelimitinteger≥ 1, ≤ 1000, default200beforeIdinteger
Example
curl "https://panel.example.com/api/v1/audit" \
-H "Authorization: Bearer $TRIXOS_TOKEN"